Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#49109 - [gtk-update-icon-cache] hook script not executable

Attached to Project: Arch Linux
Opened by Timothée Ravier (Siosm) - Wednesday, 27 April 2016, 12:55 GMT
Last edited by Allan McRae (Allan) - Wednesday, 27 April 2016, 13:12 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:

The script called by the gtk-update-icon-cache pacman hook is not executable:
$ ls -al /usr/share/libalpm/scripts/gtk-update-icon-cache
-rw-r--r-- 1 root root 195 avril 27 14:06 /usr/share/libalpm/scripts/gtk-update-icon-cache

Thus calls to this hook fail with:
:: Running post-transaction hooks...
(1/2) Updating icon theme caches...
call to execv failed (Permission denied)
error: command failed to execute correctly

If I chmod a+x the script, hook runs OK.

Additional info:
* gtk-update-icon-cache 3.20.3-2

Steps to reproduce:

* Install gtk-update-icon-cache 3.20.3-2
* Install any GTK application (this happened with Firefox).
This task depends upon

Closed by  Allan McRae (Allan)
Wednesday, 27 April 2016, 13:12 GMT
Reason for closing:  Fixed
Additional comments about closing:  -3
Comment by Stefan Majewsky (majewsky) - Wednesday, 27 April 2016, 13:03 GMT
Confirmed. Had the same problem.

Loading...